program pecina;

var n, l :longint;
    h :array[1..1000] of longint;
    i, redniBrojStuba :integer;

begin
read(n);
read(l);
redniBrojStuba := -1;
for i := 1 to n do 
    begin
    read(h[i]);
    if h[i] <= l then
        begin
        redniBrojStuba := i;
        break;
        end; 
    end;
writeln(redniBrojStuba);
end.